<?php


abstract class BaseComisionadosObjsPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'COMISIONADOS_OBJS';

	
	const CLASS_DEFAULT = 'lib.model.ComisionadosObjs';

	
	const NUM_COLUMNS = 14;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const NITOCC = 'COMISIONADOS_OBJS.NITOCC';

	
	const CODOBJ = 'COMISIONADOS_OBJS.CODOBJ';

	
	const ID_COMISION = 'COMISIONADOS_OBJS.ID_COMISION';

	
	const VALOR = 'COMISIONADOS_OBJS.VALOR';

	
	const ESTADO = 'COMISIONADOS_OBJS.ESTADO';

	
	const VIGENCIA = 'COMISIONADOS_OBJS.VIGENCIA';

	
	const OBSERVA = 'COMISIONADOS_OBJS.OBSERVA';
        
    const VIATICOS = 'COMISIONADOS_OBJS.VIATICOS';
        
    const TAXIS = 'COMISIONADOS_OBJS.TAXIS';

	const TARIFA = 'COMISIONADOS_OBJS.TARIFA';

	const ID_CLASE_PRESUP = 'COMISIONADOS_OBJS.ID_CLASE_PRESUP';
	const ID_RUBRO = 'COMISIONADOS_OBJS.ID_RUBRO';
	const ID_ELEMENTOS_GASTO = 'COMISIONADOS_OBJS.ID_ELEMENTOS_GASTO';
	const ID_OBJ_GASTO = 'COMISIONADOS_OBJS.ID_OBJ_GASTO';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Nitocc', 'Codobj', 'IdComision', 'Valor', 'Estado', 'Vigencia', 'Observa','Viaticos','Taxis','Tarifa', 'id_clase_presup','id_rubro','id_elementos_gasto','id_obj_gasto', ),
		BasePeer::TYPE_COLNAME => array (ComisionadosObjsPeer::NITOCC, ComisionadosObjsPeer::CODOBJ, ComisionadosObjsPeer::ID_COMISION, ComisionadosObjsPeer::VALOR, ComisionadosObjsPeer::ESTADO, ComisionadosObjsPeer::VIGENCIA, ComisionadosObjsPeer::OBSERVA, ComisionadosObjsPeer::VIATICOS, ComisionadosObjsPeer::TAXIS,ComisionadosObjsPeer::TARIFA, ComisionadosObjsPeer::ID_CLASE_PRESUP,ComisionadosObjsPeer::ID_RUBRO,ComisionadosObjsPeer::ID_ELEMENTOS_GASTO,ComisionadosObjsPeer::ID_OBJ_GASTO,),
		BasePeer::TYPE_FIELDNAME => array ('NITOCC', 'CODOBJ', 'ID_COMISION', 'VALOR', 'ESTADO', 'VIGENCIA', 'OBSERVA','VIATICOS','TAXIS','TARIFA','ID_CLASE_PRESUP' , 'ID_RUBRO', 'ID_ELEMENTOS_GASTO','ID_OBJ_GASTO', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8,9,10,11,12,13, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Nitocc' => 0, 'Codobj' => 1, 'IdComision' => 2, 'Valor' => 3, 'Estado' => 4, 'Vigencia' => 5, 'Observa' => 6, 'Viaticos' => 7, 'Taxis' => 8, 'Tarifa' => 9,'id_clase_presup' => 10,'id_rubro' => 11,'id_elementos_gasto' => 12,'id_obj_gasto' => 13, ),
		BasePeer::TYPE_COLNAME => array (ComisionadosObjsPeer::NITOCC => 0, ComisionadosObjsPeer::CODOBJ => 1, ComisionadosObjsPeer::ID_COMISION => 2, ComisionadosObjsPeer::VALOR => 3, ComisionadosObjsPeer::ESTADO => 4, ComisionadosObjsPeer::VIGENCIA => 5, ComisionadosObjsPeer::OBSERVA => 6,ComisionadosObjsPeer::VIATICOS => 7,ComisionadosObjsPeer::TAXIS => 8,ComisionadosObjsPeer::TARIFA => 9,ComisionadosObjsPeer::ID_CLASE_PRESUP => 10,ComisionadosObjsPeer::ID_RUBRO => 11,ComisionadosObjsPeer::ID_ELEMENTOS_GASTO => 12,ComisionadosObjsPeer::ID_OBJ_GASTO => 13, ),
		BasePeer::TYPE_FIELDNAME => array ('NITOCC' => 0, 'CODOBJ' => 1, 'ID_COMISION' => 2, 'VALOR' => 3, 'ESTADO' => 4, 'VIGENCIA' => 5, 'OBSERVA' => 6,'VIATICOS' => 7,'TAXIS' => 8,'TARIFA' => 9, 'ID_CLASE_PRESUP' => 10 , 'ID_RUBRO' => 11, 'ID_ELEMENTOS_GASTO' => 12,'ID_OBJ_GASTO' => 13,  ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6,7,8,9,10,11,12,13, )
	);

	
	public static function getMapBuilder()
	{
		return BasePeer::getMapBuilder('lib.model.map.ComisionadosObjsMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = ComisionadosObjsPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(ComisionadosObjsPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(ComisionadosObjsPeer::NITOCC);

		$criteria->addSelectColumn(ComisionadosObjsPeer::CODOBJ);

		$criteria->addSelectColumn(ComisionadosObjsPeer::ID_COMISION);

		$criteria->addSelectColumn(ComisionadosObjsPeer::VALOR);

		$criteria->addSelectColumn(ComisionadosObjsPeer::ESTADO);

		$criteria->addSelectColumn(ComisionadosObjsPeer::VIGENCIA);

		$criteria->addSelectColumn(ComisionadosObjsPeer::OBSERVA);
                
		$criteria->addSelectColumn(ComisionadosObjsPeer::VIATICOS);
                
		$criteria->addSelectColumn(ComisionadosObjsPeer::TAXIS);         
		
		$criteria->addSelectColumn(ComisionadosObjsPeer::TARIFA);

		$criteria->addSelectColumn(ComisionadosObjsPeer::ID_CLASE_PRESUP); 

		$criteria->addSelectColumn(ComisionadosObjsPeer::ID_RUBRO); 

		$criteria->addSelectColumn(ComisionadosObjsPeer::ID_ELEMENTOS_GASTO); 

		$criteria->addSelectColumn(ComisionadosObjsPeer::ID_OBJ_GASTO);                   

	}

	const COUNT = 'COUNT(COMISIONADOS_OBJS.NITOCC)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT COMISIONADOS_OBJS.NITOCC)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ComisionadosObjsPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ComisionadosObjsPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = ComisionadosObjsPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = ComisionadosObjsPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return ComisionadosObjsPeer::populateObjects(ComisionadosObjsPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			ComisionadosObjsPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = ComisionadosObjsPeer::getOMClass();
		$cls = sfPropel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}

	
	public static function doCountJoinTerceros(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ComisionadosObjsPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ComisionadosObjsPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ComisionadosObjsPeer::NITOCC, TercerosPeer::NITOCC);

		$rs = ComisionadosObjsPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinObjetosGasto(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ComisionadosObjsPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ComisionadosObjsPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ComisionadosObjsPeer::CODOBJ, ObjetosGastoPeer::CODOBJ);

		$rs = ComisionadosObjsPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinComisiones(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ComisionadosObjsPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ComisionadosObjsPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ComisionadosObjsPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosObjsPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosObjsPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosObjsPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = ComisionadosObjsPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinTerceros(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ComisionadosObjsPeer::addSelectColumns($c);
		$startcol = (ComisionadosObjsPeer::NUM_COLUMNS - ComisionadosObjsPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		TercerosPeer::addSelectColumns($c);

		$c->addJoin(ComisionadosObjsPeer::NITOCC, TercerosPeer::NITOCC);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ComisionadosObjsPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = TercerosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getTerceros(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addComisionadosObjs($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initComisionadosObjss();
				$obj2->addComisionadosObjs($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinObjetosGasto(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ComisionadosObjsPeer::addSelectColumns($c);
		$startcol = (ComisionadosObjsPeer::NUM_COLUMNS - ComisionadosObjsPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		ObjetosGastoPeer::addSelectColumns($c);

		$c->addJoin(ComisionadosObjsPeer::CODOBJ, ObjetosGastoPeer::CODIGO);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ComisionadosObjsPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ObjetosGastoPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getObjetosGasto(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addComisionadosObjs($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initComisionadosObjss();
				$obj2->addComisionadosObjs($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinComisiones(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ComisionadosObjsPeer::addSelectColumns($c);
		$startcol = (ComisionadosObjsPeer::NUM_COLUMNS - ComisionadosObjsPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		ComisionesPeer::addSelectColumns($c);

		$c->addJoin(ComisionadosObjsPeer::ID_COMISION, ComisionesPeer::VIGENCIA);
		$c->addJoin(ComisionadosObjsPeer::ID_COMISION, ComisionesPeer::VIGENCIA);
		$c->addJoin(ComisionadosObjsPeer::VIGENCIA, ComisionesPeer::VIGENCIA);
		$c->addJoin(ComisionadosObjsPeer::VIGENCIA, ComisionesPeer::VIGENCIA);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ComisionadosObjsPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ComisionesPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getComisiones(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addComisionadosObjs($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initComisionadosObjss();
				$obj2->addComisionadosObjs($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, $con = null)
	{
		$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ComisionadosObjsPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ComisionadosObjsPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ComisionadosObjsPeer::NITOCC, TercerosPeer::NITOCC);

		$criteria->addJoin(ComisionadosObjsPeer::CODOBJ, ObjetosGastoPeer::CODOBJ);

		$criteria->addJoin(ComisionadosObjsPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosObjsPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosObjsPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosObjsPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = ComisionadosObjsPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAll(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ComisionadosObjsPeer::addSelectColumns($c);
		$startcol2 = (ComisionadosObjsPeer::NUM_COLUMNS - ComisionadosObjsPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		TercerosPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + TercerosPeer::NUM_COLUMNS;

		ObjetosGastoPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + ObjetosGastoPeer::NUM_COLUMNS;

		ComisionesPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + ComisionesPeer::NUM_COLUMNS;

		$c->addJoin(ComisionadosObjsPeer::NITOCC, TercerosPeer::NITOCC);

		$c->addJoin(ComisionadosObjsPeer::CODOBJ, ObjetosGastoPeer::CODOBJ);

		$c->addJoin(ComisionadosObjsPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosObjsPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosObjsPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosObjsPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ComisionadosObjsPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);


					
			$omClass = TercerosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getTerceros(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addComisionadosObjs($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj2->initComisionadosObjss();
				$obj2->addComisionadosObjs($obj1);
			}


					
			$omClass = ObjetosGastoPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3 = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getObjetosGasto(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addComisionadosObjs($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj3->initComisionadosObjss();
				$obj3->addComisionadosObjs($obj1);
			}


					
			$omClass = ComisionesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj4 = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getComisiones(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addComisionadosObjs($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj4->initComisionadosObjss();
				$obj4->addComisionadosObjs($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAllExceptTerceros(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ComisionadosObjsPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ComisionadosObjsPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ComisionadosObjsPeer::CODOBJ, ObjetosGastoPeer::CODOBJ);

		$criteria->addJoin(ComisionadosObjsPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosObjsPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosObjsPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosObjsPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = ComisionadosObjsPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptObjetosGasto(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ComisionadosObjsPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ComisionadosObjsPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ComisionadosObjsPeer::NITOCC, TercerosPeer::NITOCC);

		$criteria->addJoin(ComisionadosObjsPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosObjsPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosObjsPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosObjsPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = ComisionadosObjsPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptComisiones(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ComisionadosObjsPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ComisionadosObjsPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ComisionadosObjsPeer::NITOCC, TercerosPeer::NITOCC);

		$criteria->addJoin(ComisionadosObjsPeer::CODOBJ, ObjetosGastoPeer::CODIGO);

		$rs = ComisionadosObjsPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAllExceptTerceros(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ComisionadosObjsPeer::addSelectColumns($c);
		$startcol2 = (ComisionadosObjsPeer::NUM_COLUMNS - ComisionadosObjsPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		ObjetosGastoPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + ObjetosGastoPeer::NUM_COLUMNS;

		ComisionesPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + ComisionesPeer::NUM_COLUMNS;

		$c->addJoin(ComisionadosObjsPeer::CODOBJ, ObjetosGastoPeer::CODOBJ);

		$c->addJoin(ComisionadosObjsPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosObjsPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosObjsPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosObjsPeer::VIGENCIA, ComisionesPeer::VIGENCIA);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ComisionadosObjsPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ObjetosGastoPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getObjetosGasto(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addComisionadosObjs($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initComisionadosObjss();
				$obj2->addComisionadosObjs($obj1);
			}

			$omClass = ComisionesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getComisiones(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addComisionadosObjs($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initComisionadosObjss();
				$obj3->addComisionadosObjs($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptObjetosGasto(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ComisionadosObjsPeer::addSelectColumns($c);
		$startcol2 = (ComisionadosObjsPeer::NUM_COLUMNS - ComisionadosObjsPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		TercerosPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + TercerosPeer::NUM_COLUMNS;

		ComisionesPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + ComisionesPeer::NUM_COLUMNS;

		$c->addJoin(ComisionadosObjsPeer::NITOCC, TercerosPeer::NITOCC);

		$c->addJoin(ComisionadosObjsPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosObjsPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosObjsPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosObjsPeer::VIGENCIA, ComisionesPeer::VIGENCIA);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ComisionadosObjsPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = TercerosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getTerceros(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addComisionadosObjs($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initComisionadosObjss();
				$obj2->addComisionadosObjs($obj1);
			}

			$omClass = ComisionesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getComisiones(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addComisionadosObjs($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initComisionadosObjss();
				$obj3->addComisionadosObjs($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptComisiones(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ComisionadosObjsPeer::addSelectColumns($c);
		$startcol2 = (ComisionadosObjsPeer::NUM_COLUMNS - ComisionadosObjsPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		TercerosPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + TercerosPeer::NUM_COLUMNS;

		ObjetosGastoPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + ObjetosGastoPeer::NUM_COLUMNS;

		$c->addJoin(ComisionadosObjsPeer::NITOCC, TercerosPeer::NITOCC);

		$c->addJoin(ComisionadosObjsPeer::CODOBJ, ObjetosGastoPeer::CODOBJ);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ComisionadosObjsPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = TercerosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getTerceros(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addComisionadosObjs($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initComisionadosObjss();
				$obj2->addComisionadosObjs($obj1);
			}

			$omClass = ObjetosGastoPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getObjetosGasto(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addComisionadosObjs($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initComisionadosObjss();
				$obj3->addComisionadosObjs($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return ComisionadosObjsPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(ComisionadosObjsPeer::NITOCC);
			$selectCriteria->add(ComisionadosObjsPeer::NITOCC, $criteria->remove(ComisionadosObjsPeer::NITOCC), $comparison);

			$comparison = $criteria->getComparison(ComisionadosObjsPeer::CODOBJ);
			$selectCriteria->add(ComisionadosObjsPeer::CODOBJ, $criteria->remove(ComisionadosObjsPeer::CODOBJ), $comparison);

			$comparison = $criteria->getComparison(ComisionadosObjsPeer::ID_COMISION);
			$selectCriteria->add(ComisionadosObjsPeer::ID_COMISION, $criteria->remove(ComisionadosObjsPeer::ID_COMISION), $comparison);

			$comparison = $criteria->getComparison(ComisionadosObjsPeer::VIGENCIA);
			$selectCriteria->add(ComisionadosObjsPeer::VIGENCIA, $criteria->remove(ComisionadosObjsPeer::VIGENCIA), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(ComisionadosObjsPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(ComisionadosObjsPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof ComisionadosObjs) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
												if(count($values) == count($values, COUNT_RECURSIVE))
			{
								$values = array($values);
			}
			$vals = array();
			foreach($values as $value)
			{

				$vals[0][] = $value[0];
				$vals[1][] = $value[1];
				$vals[2][] = $value[2];
				$vals[3][] = $value[3];
			}

			$criteria->add(ComisionadosObjsPeer::NITOCC, $vals[0], Criteria::IN);
			$criteria->add(ComisionadosObjsPeer::CODOBJ, $vals[1], Criteria::IN);
			$criteria->add(ComisionadosObjsPeer::ID_COMISION, $vals[2], Criteria::IN);
			$criteria->add(ComisionadosObjsPeer::VIGENCIA, $vals[3], Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(ComisionadosObjs $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(ComisionadosObjsPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(ComisionadosObjsPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(ComisionadosObjsPeer::DATABASE_NAME, ComisionadosObjsPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = ComisionadosObjsPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK( $nitocc, $codobj, $id_comision, $vigencia, $con = null) {
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$criteria = new Criteria();
		$criteria->add(ComisionadosObjsPeer::NITOCC, $nitocc);
		$criteria->add(ComisionadosObjsPeer::CODOBJ, $codobj);
		$criteria->add(ComisionadosObjsPeer::ID_COMISION, $id_comision);
		$criteria->add(ComisionadosObjsPeer::VIGENCIA, $vigencia);
		$v = ComisionadosObjsPeer::doSelect($criteria, $con);

		return !empty($v) ? $v[0] : null;
	}
} 
if (Propel::isInit()) {
			try {
		BaseComisionadosObjsPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			Propel::registerMapBuilder('lib.model.map.ComisionadosObjsMapBuilder');
}
